import { Genesis, ShelleyProtocolParams } from './graphql_types';
import { Config } from './Config';
import { LedgerState } from './CardanoNodeClient';
export interface CardanoCliTip {
    blockNo: number;
    headerHash: string;
    slotNo: number;
}
export declare type ProtocolParams = ShelleyProtocolParams;
export interface CardanoCli {
    getLedgerState(): Promise<LedgerState>;
    getProtocolParams(): Promise<ProtocolParams>;
    getTip(): Promise<CardanoCliTip>;
    submitTransaction(filePath: string): Promise<void>;
}
export declare function createCardanoCli(cardanoCliPath: Config['cardanoCliPath'], genesis: Genesis['shelley'], jqPath: Config['jqPath']): CardanoCli;
//# sourceMappingURL=CardanoCli.d.ts.map