import { CardanoCli } from './CardanoCli';
import { AssetSupply, Transaction } from './graphql_types';
import { DataFetcher } from '@cardano-graphql/util';
import { Logger } from 'ts-log';
export declare type LedgerState = {
    accountState: {
        _reserves: string;
        _treasury: string;
    };
    esNonMyopic: {
        rewardPot: string;
    };
};
export declare class CardanoNodeClient {
    private cardanoCli;
    readonly lastConfiguredMajorVersion: number;
    private logger;
    readonly networkParams: string[];
    adaCirculatingSupply: AssetSupply['circulating'];
    ledgerStateFetcher: DataFetcher<LedgerState>;
    constructor(cardanoCli: CardanoCli, pollingInterval: number, lastConfiguredMajorVersion: number, logger?: Logger);
    getTip(): Promise<import("./CardanoCli").CardanoCliTip>;
    getProtocolParams(): Promise<import("./graphql_types").ShelleyProtocolParams>;
    initialize(): Promise<void>;
    isInCurrentEra(): Promise<boolean>;
    shutdown(): Promise<void>;
    submitTransaction(transaction: string): Promise<Transaction['hash']>;
}
//# sourceMappingURL=CardanoNodeClient.d.ts.map