import { DataFetcher } from '@cardano-graphql/util';
import { GraphQLSchema } from 'graphql';
import { AssetSupply, PaymentAddressSummary } from './graphql_types';
import { Logger } from 'ts-log';
export declare class HasuraClient {
    readonly hasuraCliPath: string;
    readonly hasuraUri: string;
    private logger;
    private client;
    private applyingSchemaAndMetadata;
    adaCirculatingSupplyFetcher: DataFetcher<AssetSupply['circulating']>;
    schema: GraphQLSchema;
    constructor(hasuraCliPath: string, hasuraUri: string, pollingInterval: number, logger?: Logger);
    private getAdaCirculatingSupply;
    private hasuraCli;
    initialize(): Promise<void>;
    shutdown(): Promise<void>;
    applySchemaAndMetadata(): Promise<void>;
    buildHasuraSchema(): Promise<GraphQLSchema>;
    getPaymentAddressSummary(address: string, atBlock?: number): Promise<PaymentAddressSummary>;
    getMeta(nodeTipBlockNumber: number): Promise<{
        initialized: boolean;
        syncPercentage: number;
    }>;
}
//# sourceMappingURL=HasuraClient.d.ts.map